%define anolis_release 1

Name:		autoconf
Version:	2.71
Release:	%{anolis_release}%{?dist}
Summary:	A GNU tool used to create autoconfiguration files

License:	GPLv2+ and GFDL
URL:		https://www.gnu.org/software/autoconf/
Source0:	https://ftp.gnu.org/gnu/autoconf/autoconf-%{version}.tar.xz

BuildArch:	noarch

BuildRequires:	perl
Requires:	perl-File-Compare
BuildRequires:	perl-generators
BuildRequires:	perl-macros
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Text::ParseWords)
BuildRequires:	m4
Requires:	m4
BuildRequires:	help2man
BuildRequires:	make

%if %{with check}
BuildRequires:	gcc-gfortran
BuildRequires:	erlang
%endif

%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}^perl\\(Autoconf::
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(Autoconf::

%description
GNU's Autoconf is a tool for configuring source code and Makefiles.
Using Autoconf, programmers can create portable and configurable
packages, since the person building the package is allowed to 
specify various configuration options.

You should install Autoconf if you are developing software and you'd
like to use it to create shell scripts which will configure your 
source code packages. If you are installing Autoconf, you will also
need to install the GNU m4 package.

Note that the Autoconf package is not required for the end user who
may be configuring software with an Autoconf-generated script; 
Autoconf is only required for the generation of the scripts, not
their use.


%prep
%autosetup -p1

%build
export EMACS=/bin/false
%configure
%make_build

%check
%if %{with check}
%make_build check
%endif

%install
%make_install

%files
%license COPYING*
%doc AUTHORS ChangeLog NEWS README THANKS TODO
%{_bindir}/*
%{_datadir}/autoconf
%{_infodir}/*.gz
%{_mandir}/man1/*
%exclude %{_infodir}/standards*
%exclude %{_infodir}/dir

%changelog
* Tue Apr 12 2022 Su Lifan <su-lifan@linux.alibaba.com> - 2.71-1
- Initial packaging for Anolis OS 23

